at.chipkarte.client.elgaad.soap

## Class Verwandter

- Object
- - at.chipkarte.client.elgaad.soap.Verwandter

-     public class Verwandter
      extends Object

  Daten zur verwandten Person.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Verwandter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse[]` | `getAdressen()` Adressen.
    `Name` | `getNameVerwandter()` Name des Verwandten.
    `String[]` | `getTelecom()` Telefonnummern.
    `Code` | `getVerwandschaftsverhaeltnis()` Verwandschaftsverhältnis des Autors zum Patienten.
    `void` | `setAdressen(Adresse[] adressen)`
    `void` | `setNameVerwandter(Name name)`
    `void` | `setTelecom(String[] telecoms)`
    `void` | `setVerwandschaftsverhaeltnis(Code verwandschaftsVerhaeltnis)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Verwandter

          public Verwandter()

  - ### Method Detail

    - #### getVerwandschaftsverhaeltnis

          public Code getVerwandschaftsverhaeltnis()

      Verwandschaftsverhältnis des Autors zum Patienten. Siehe `Code`.
      Angabe: Bedingt. Entweder Author oder Verwandschaftsverhältnis muss angegeben werden.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_Personal-Relationship
      Returns:
        Verwandschaftsverhältnis

    - #### setVerwandschaftsverhaeltnis

          public void setVerwandschaftsverhaeltnis(Code verwandschaftsVerhaeltnis)

    - #### getNameVerwandter

          public Name getNameVerwandter()

      Name des Verwandten. Siehe `Name`.
      Angabe: Bedingt. Muss angegeben werden wenn Verwandschaftsverhältnis angegeben wurde.
      Returns:
        Name.

    - #### setNameVerwandter

          public void setNameVerwandter(Name name)

    - #### getAdressen

          public Adresse[] getAdressen()

      Adressen. Siehe `Adresse`.
      Angabe: Kann.
      Returns:
        Adressen

    - #### setAdressen

          public void setAdressen(Adresse[] adressen)

    - #### getTelecom

          public String[] getTelecom()

      Telefonnummern.
      Angabe: Kann.
      Returns:
        Telecoms

    - #### setTelecom

          public void setTelecom(String[] telecoms)